MAT_OPEN(3)

NAME
Mat_Open - Opens a MATLAB MAT file.

SYNOPSIS
#include <matio.h>
mat_t
Mat_Open(const char *matname, int mode);

DESCRIPTION
The Mat_Open() function opens a MATLAB MAT file for read only or read-write access.

EXAMPLES

    #include <stdlib.h>
    #include <stdio.h>
    #include "matio.h"

    int main(int argc, char **argv)
    {
        mat_t *matfp;

        matfp = Mat_Open(argv[1], MAT_ACC_RDONLY);
        if ( NULL == matfp ) {
            fprintf(stderr, "Error opening MAT file %s, argv[1]);
            return EXIT_FAILURE;
        }

        Mat_Close(matfp);
        return EXIT_SUCCESS;
    }

SEE ALSO
Mat_CreateVer(3), Mat_Close(3)